Lucid3 System Requirements

In SAP you will find interactive keys, fact sheets, descriptions, and images to aid in the identification of arthropod pests encountered during surveys of palms in the United States and Caribbean. The interactive key is a Lucid3 Java Applet. Lucid3 (Lucid version 3) is software for creating and using interactive identification keys. Lucid was developed by the Centre for Biological Information Technology at the University of Queensland in Australia. Visit the Lucidcentral website for more information on Lucid and Lucid3.

HTML pages in SAP outside of the Lucid3 interactive key are viewable without the Lucid3 Applet Player and are all accessible from the home page. Please check the Lucid3 system requirements below if you would like to use the interactive key.


Operating System: Windows 2000(SP3)/XP/Vista, Mac OSX 10.4 or greater, Linux (that supports J2RE), Solaris (7, 8, 9, or 10). (Note that Lucid will run under Windows 98/ME/NT4, but these platforms are no longer supported.)

System Memory: 256MB RAM (512MB or greater recommended).

Web browser: Java-enabled web browser such as Internet Explorer, Firefox, Opera, or Safari.

NOTE: Some web pages, such as fact sheets attached to items in Lucid3 interactive keys, may be considered pop-ups by certain web browsers. If your browser or an add-on application is set to block pop-ups, you may not be able to view all of the content on these pages. Additionally, some web browsers or add-on applications may block "active content" on web pages or interactive keys. To take full advantage of the information presented in this Lucid tool, please consult your web browser or add-on application's help file for assistance in disabling pop-up blockers and allowing active content.

Hard Drive Space: 150MB if running tool from hard drive (excluding space required for Java Runtime Environment and web browser).

Software: The Lucid3 interactive key will run embedded within a web browser as a Java applet. Java Runtime Environment (JRE) version 1.4.2 (1.5 or greater recommended) must be installed on your computer for the Lucid3 Applet Player to run successfully.

Click here to determine which version of JRE you have installed.

If the link above states that your Java status is version 1.4.2 or greater (from Sun Microsystems Inc.), and your computer meets the Lucid3 system requirements, you may proceed to the Lucid3 keys:

Java information

If you don't have the correct version of Java installed, follow the installation instructions at:

Note: Some Java versions greater than 1.5 may have bugs that affect operation of the interactive key. This can usually be cured by downloading the latest Java Runtime Environment version from the Java website.